Search found 17 matches

by tsimmons
13 Mar 2017, 22:50
Forum: Support
Topic: Chrome requires moving mouse before clicking article head
Replies: 0
Views: 3509

Chrome requires moving mouse before clicking article head

Using MacOS 10.10.5 (Yosemite) I typically use the compacted view where you have to click to expand an article; one thing I've noticed (when using Chrome) is that when you expand an article but if you leave your mouse over the headline, you cannot click to open the article ... you have to actually m...
by tsimmons
02 Feb 2017, 23:33
Forum: Everything else
Topic: Fuuuuuu ... Thank God for Fox self-hosting.
Replies: 7
Views: 3194

Re: Fuuuuuu ... Thank God for Fox self-hosting.

At 2017/01/31 11pm-ish UTC, team-member-1 thinks that perhaps pg_basebackup is refusing to work due to the PostgreSQL data directory being present (despite being empty), decides to remove the directory. After a second or two he notices he ran it on db1.cluster.gitlab.com, instead of db2.cluster.git...
by tsimmons
02 Feb 2017, 23:16
Forum: Everything else
Topic: Fuuuuuu ... Thank God for Fox self-hosting.
Replies: 7
Views: 3194

Re: Fuuuuuu ... Thank God for Fox self-hosting.

God is everyone's admin. ;-)
by tsimmons
10 Jan 2017, 15:32
Forum: Support
Topic: php 7.1, FEED_CRYPT_KEY, and you
Replies: 11
Views: 4629

Re: php 7.1, FEED_CRYPT_KEY, and you

Roger that. It looked like openssl_encrypt/decrypt was nearly a drop in replacement for mcrypt's functions but it would require PHP to be built with the OpenSSL extension; No worries.
by tsimmons
10 Jan 2017, 00:16
Forum: Support
Topic: php 7.1, FEED_CRYPT_KEY, and you
Replies: 11
Views: 4629

Re: php 7.1, FEED_CRYPT_KEY, and you

Do you have any interest in someone else developing this using another library [probably using openssl_encrypt() and openssl_decrypt()] Personally I like the added security (but my DB and web server are in different locations);

I don't want to hack at it if there is zero interest.
by tsimmons
06 Jan 2017, 01:31
Forum: Unsupported platforms
Topic: Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?
Replies: 6
Views: 2607

Re: Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?

Thought I had (my branch is called fclose-before-unlink-updater) ... used the following:

Code: Select all

git push origin fclose-before-unlink-updater


Maybe I need dev rights granted?
by tsimmons
06 Jan 2017, 01:08
Forum: Unsupported platforms
Topic: Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?
Replies: 6
Views: 2607

Re: Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?

After registering, I created a branch for my proposed changes, committed them locally and tried to push a merge request but received: remote: GitLab: You are not allowed to push code to this project. To https://tt-rss.org/git/tt-rss.git ! [remote rejected] fclose-before-unlink-updater -> fclose-befo...
by tsimmons
05 Jan 2017, 23:42
Forum: Unsupported platforms
Topic: Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?
Replies: 6
Views: 2607

Permission denied on unlink(lock/update.lock), easy fix, any chance it making it to origin?

Running the updater as a scheduled task on Windows 2008 R2 has for years led to the following log message every time the update runs: E_WARNING (2) update.php:408 unlink(lock/update.lock): Permission denied 1. update.php(408): unlink(lock/update.lock) It's not permissions ... it is because you canno...
by tsimmons
16 Oct 2014, 20:49
Forum: Support
Topic: Couldn't download the specified URL: 77 Problem with the SSL
Replies: 13
Views: 5916

Re: Couldn't download the specified URL: 77 Problem with the

Awesome. Works for me, appreciate it.
by tsimmons
16 Oct 2014, 07:35
Forum: Support
Topic: Couldn't download the specified URL: 77 Problem with the SSL
Replies: 13
Views: 5916

Re: Couldn't download the specified URL: 77 Problem with the

I've started seeing this with more of my feeds delivered over SSL. It is likely due to the POODLE vulnerability (see https://access.redhat.com/articles/1232123 ). It appears that some sites are disabling SSLv3 completely (see http://stackoverflow.com/questions/26379077/facebook-api-gives-error-from-...
by tsimmons
25 Jun 2014, 19:19
Forum: Support
Topic: Issue with Articles containing UTF-8 unconform entries
Replies: 3
Views: 1485

Re: Issue with Articles containing UTF-8 unconform entries

I ran into the same issue and modified the database without issue. You can read the thread here. One additional change I had to make was to edit config.php and change the MYSQL_CHARSET to

Code: Select all

   define('MYSQL_CHARSET', 'utf8mb4');


Again, YMMV.
by tsimmons
07 Nov 2013, 20:14
Forum: Unsupported platforms
Topic: Errors updating Reddit/Apple feed
Replies: 6
Views: 3543

Re: Errors updating Reddit/Apple feed

Turns out it is a MySQL / schema problem (probably unrelated to running on an unsupported platform.) The URL referenced above contains emoji characters and those cannot be inserted into a MySQL DB unless the table is encoded with utf8mb4 (not available until MySQL 5.5.3 or later.) The problem is tha...
by tsimmons
06 Nov 2013, 23:33
Forum: Unsupported platforms
Topic: Errors updating Reddit/Apple feed
Replies: 6
Views: 3543

Re: Errors updating Reddit/Apple feed

I have, actually. Running tt-rss on windows is possible but not supported. I assumed (perhaps erroneously) that the forums would be a good place to request help, even when running on an unsupported platform. I've run tt-rss on my self-hosted Windows server WITHOUT ISSUE for months and months until t...

Go to advanced search